Loading...
Searching...
No Matches
ss7_as.h File Reference
`#include <stdint.h>`
`#include <osmocom/core/linuxlist.h>`
`#include <osmocom/core/fsm.h>`
`#include <osmocom/core/msgb.h>`
`#include <osmocom/core/tdef.h>`
`#include <osmocom/netif/stream.h>`
`#include <osmocom/sigtran/osmo_ss7.h>`
`#include "ss7_internal.h"`

Go to the source code of this file.

## Data Structures

struct | osmo_ss7_as

## Macros

#define | LOGPAS(as, subsys, level, fmt, args ...) _LOGSS7((as)->inst, subsys, level, "as-%s: " fmt, (as)->cfg.name, ## args)

## Enumerations

enum | osmo_ss7_as_patch_sccp_mode { OSMO_SS7_PATCH_NONE , OSMO_SS7_PATCH_BOTH }
enum | ss7_as_ctr { SS7_AS_CTR_RX_MSU_TOTAL , SS7_AS_CTR_TX_MSU_TOTAL }

## Macro Definition Documentation

## LOGPAS

#define LOGPAS | ( |  | as,
|  |  | subsys,
|  |  | level,
|  |  | fmt,
|  |  | args ...
| ) |  | _LOGSS7((as)->inst, subsys, level, "as-%s: " fmt, (as)->cfg.name, ## args)

## Enumeration Type Documentation

## osmo_ss7_as_patch_sccp_mode

enum osmo_ss7_as_patch_sccp_mode

Enumerator
OSMO_SS7_PATCH_NONE |
OSMO_SS7_PATCH_BOTH |

## ss7_as_ctr

enum ss7_as_ctr

Enumerator
SS7_AS_CTR_RX_MSU_TOTAL |
SS7_AS_CTR_TX_MSU_TOTAL |